Visual LISP, AutoLISP and General Customization

Visual LISP, AutoLISP and General Customization

Reply
Distinguished Contributor
molokaiboy
Posts: 636
Registered: ‎12-10-2003
Message 1 of 34 (1,622 Views)

double arrow leader

1622 Views, 33 Replies
07-01-2004 04:35 PM
Is there a way to draw a leader with an arrow head on both sides?

TIA

Collin
*David Kozina
Message 2 of 34 (1,622 Views)

Re: double arrow leader

07-01-2004 05:50 PM in reply to: molokaiboy
Dimaligned? "molokaiboy" wrote in message news:32593365.1088724961778.JavaMail.jive@jiveforum2.autodesk.com... > Is there a way to draw a leader with an arrow head on both sides? > > TIA > > Collin
Member
sep1
Posts: 5
Registered: ‎06-30-2004
Message 3 of 34 (1,622 Views)

Re: double arrow leader

07-01-2004 10:34 PM in reply to: molokaiboy
With no text? Just a basic line with arrows on the end?

SEP1
*Kent Cooper, AIA
Message 4 of 34 (1,622 Views)

Re: double arrow leader

07-02-2004 04:05 AM in reply to: molokaiboy
Yes, for a straight double-headed "leader". Act as though you want to override the text content of the dimension, and give it a space for "content". Suppress both extension lines. Any linear variety of dimension would work, and you could do the same for an arc version with Dimangular. As to a leader that's more than a single line or arc, well.... Kent Cooper, AIA "sep1" wrote... > With no text? Just a basic line with arrows on the end? > > SEP1
*Warren Trost
Message 5 of 34 (1,622 Views)

Re: double arrow leader

07-02-2004 04:58 AM in reply to: molokaiboy
Would creating a dimstyle with arrows at both ends and no extension lines work? "Kent Cooper, AIA" wrote in message news:40e54157_1@newsprd01... > Yes, for a straight double-headed "leader". Act as though you want to > override the text content of the dimension, and give it a space for > "content". Suppress both extension lines. Any linear variety of dimension > would work, and you could do the same for an arc version with Dimangular. > > As to a leader that's more than a single line or arc, well.... > > Kent Cooper, AIA > > > "sep1" wrote... > > With no text? Just a basic line with arrows on the end? > > > > SEP1 > >
*Kent Cooper, AIA
Message 6 of 34 (1,622 Views)

Re: double arrow leader

07-02-2004 07:06 AM in reply to: molokaiboy
Yes, but you'd still have to give it the space-only text override when you used it. Kent Cooper, AIA "Warren Trost" wrote... > Would creating a dimstyle with arrows at both ends and no extension lines > work?
*GaryDF
Message 7 of 34 (1,622 Views)

Re: double arrow leader

07-02-2004 08:50 AM in reply to: molokaiboy
Another approach.......... Here is a routine by Will Massie that I have modified. It is not a true leader. (defun ARCH:RAND*NO () (setq *NO (rtos (getvar "CDATE") 2 16) *NO (substr *NO 14 3) ;;3 ) (princ) ) (defun C:smileyvery-happy:BL (/ pt1 pt2 ptangle arrowlength arrowidth pt12 pt13 pt22 pt23 sb sset ) ;;(ARCH:F_S-VAR) (setq SSET (ssadd)) ;;(cond ((= ARCH#CLAY "Off") (ARCH:LYR "A-DIMS"))) (setvar "orthomode" 1) (setvar "osmode" 0) ;;(setq pt1 (osnap (getpoint "\n* Specify first point *") "nea")) ;;(setq pt2 (osnap (getpoint pt1 "\n* Specify end point *") "nea")) (setq pt1 (getpoint "\n* Specify first point *")) (setq pt2 (getpoint pt1 "\n* Specify end point *")) (setq pt1 (list (float (car pt1)) (float (cadr pt1)))) (setq pt2 (list (float (car pt2)) (float (cadr pt2)))) (setq ptangle (angle pt1 pt2)) (command "line" pt1 pt2 "") (setq SB (entlast)) (setq SSET (ssadd SB SSET)) (setq arrowlength (* (* (getvar "dimscale") (getvar "dimasz")) 2.125)) (setq arrowidth (/ arrowlength 3)) (setq pt12 (polar (polar pt1 ptangle arrowlength) (+ ptangle 1.570796327) (/ arrowidth 2) ) ) (setq pt13 (polar (polar pt1 ptangle arrowlength) (- ptangle 1.570796327) (/ arrowidth 2) ) ) (command "solid" pt1 pt12 pt13 "" "") (setq SB (entlast)) (setq SSET (ssadd SB SSET)) (setq pt22 (polar (polar pt2 (+ ptangle 3.141592654) arrowlength) (+ ptangle 1.570796327) (/ arrowidth 2) ) ) (setq pt23 (polar (polar pt2 (+ ptangle 3.141592654) arrowlength) (- ptangle 1.570796327) (/ arrowidth 2) ) ) (command "solid" pt2 pt22 pt23 "" "") (setq SB (entlast)) (setq SSET (ssadd SB SSET)) (ARCH:RAND*NO) (setq NIC (strcat "DBL-" *NO)) (command "-group" "" (princ NIC) "" (princ SSET) "") ;;(ARCH:F_R-VAR) (princ) ) To stretch the double leader on an angle use the following routine to set the snapangle: (defun C:smileyfrustrated:A (/ bbl bbpt bbn bbp1 bbp2 bba) (prompt "\n* Set Snapang...by picking a Line *") (setq bbl (entsel "\n* Select the Line *")) (setq bbpt (osnap (cadr bbl) "end")) (setq bbn (entget (car bbl))) (setq bbp1 (cdr (assoc 10 bbn)) bbp2 (cdr (assoc 11 bbn)) ) (setq bba (angle bbp1 bbp2)) (setvar "SNAPANG" bba) (princ) ) Gary "molokaiboy" wrote in message news:32593365.1088724961778.JavaMail.jive@jiveforum2.autodesk.com... > Is there a way to draw a leader with an arrow head on both sides? > > TIA > > Collin
Distinguished Contributor
molokaiboy
Posts: 636
Registered: ‎12-10-2003
Message 8 of 34 (1,622 Views)

Re: double arrow leader

07-02-2004 11:34 AM in reply to: molokaiboy
yes, no text. I am trying to create a routine that will prompt the user to pick two points opposite each other, and have an arrow on each side, basically a mirrored dimleader.

Collin
*David Kozina
Message 9 of 34 (1,622 Views)

Re: double arrow leader

07-02-2004 12:04 PM in reply to: molokaiboy
For a start, how about... (command "_.DIMALIGNED" pause pause "_Text" "" "@" "" ) "molokaiboy" wrote in message news:20363150.1088793300786.JavaMail.jive@jiveforum2.autodesk.com... > yes, no text. I am trying to create a routine that will prompt the user to pick two points opposite each other, and have an arrow on each side, basically a mirrored dimleader. > > Collin
*Alan Henderson
Message 10 of 34 (1,622 Views)

Re: double arrow leader

07-02-2004 12:13 PM in reply to: molokaiboy
(defun C:smileyvery-happy:AL () (setq ARRSIZ (getvar "TEXTSIZE")) (setq P1 (getpoint "\nPick 1st end of Double Arrowhead Line ? ")) (if P1 (setq P2 (getpoint P1 "\nPick 2nd end of Double Arrowhead Line ? "))) (if (and P1 P2 (setq DD (distance P1 P2)) (< (* ARRSIZ 2) DD)) (progn (setq P3 (polar P1 (angle P1 P2) ARRSIZ)) (setq P4 (polar P2 (angle P2 P1) ARRSIZ)) (command "PLINE" P1 "W" 0 (* ARRSIZ 0.5) P3 "W" 0 0 P4 "W" (* ARRSIZ 0.5) 0.0 P2 "") ) (cond ((not P1) (princ "\n1st point not selected.")) ((not P2) (princ "\n2nd point not selected.")) ((<= DD (* ARRSIZ)) (princ "\nPoints too close together.")) ) ) (princ) )
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!